Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFDfsbCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const std::pair< bool, const MMFFStbn * > | getMMFFDfsbParams (const unsigned int periodicTableRow1, const unsigned int periodicTableRow2, const unsigned int periodicTableRow3) const
| Looks up the parameters for a particular key and returns them.
| MMFFDfsbCollection (std::string mmffDfsb="")

## Public Attributes

std::map< const unsigned int, std::map< const unsigned int, std::map< const unsigned int, MMFFStbn > > > | d_params
| the parameter 3D-map

## Detailed Description

Definition at line 685 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFDfsbCollection()

ForceFields::MMFF::MMFFDfsbCollection::MMFFDfsbCollection | ( | std::string | mmffDfsb = "" | ) |

## Member Function Documentation

## getMMFFDfsbParams()

const std::pair< bool, const MMFFStbn * > ForceFields::MMFF::MMFFDfsbCollection::getMMFFDfsbParams | ( | const unsigned int | periodicTableRow1,
|  | const unsigned int | periodicTableRow2,
|  | const unsigned int | periodicTableRow3 ) const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFStbn object, NULL on failure.

Definition at line 691 of file MMFF/Params.h.

References d_params.

## Member Data Documentation

## d_params

std::map<const unsigned int, std::map<const unsigned int, std::map<const unsigned int, MMFFStbn> > > ForceFields::MMFF::MMFFDfsbCollection::d_params

the parameter 3D-map

Definition at line 721 of file MMFF/Params.h.

Referenced by getMMFFDfsbParams().

The documentation for this class was generated from the following file:

- MMFF/Params.h